View Issue Details

IDProjectCategoryView StatusLast Update
0012026ScribusImport / Exportpublic2016-12-08 22:04
Reporterchristoph_s Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionfixed 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version1.5.0svn 
Summary0012026: Drop shadows aren't exported to SVG
Descriptionr18787 notwithstanding, drop shadows aren't exported to SVG files at all. I tried with several programs, including Inkscape, and the best I could get was another shape behind the original frame shape. The drop shadow doesn't even show up when the file is being re-imported into Scribus.
TagsNo tags attached.
Patch

Relationships

child of 0012505 acknowledgedfschmid Metabug: Drop Shadow (1.5.0.svn) 

Activities

fschmid

2014-01-30 17:14

administrator   ~0031229

They are exported, but in a slight different way Inkscape does. See the attached Screenshow. This Screenshot was taken with the SVG-Viewer of the Batik project.

fschmid

2014-01-30 17:14

administrator  

DropShadow_in_SVG.png (41,854 bytes)
DropShadow_in_SVG.png (41,854 bytes)

fschmid

2014-01-30 21:16

administrator   ~0031231

Export is now done the same way as in Inkscape.
But be aware that not all SVG Viewers (including Scribus) can interpret SVG-Filters.

christoph_s

2014-01-31 06:39

administrator   ~0031232

It still doesn't work as expected if the X or Y offset exceeds a certain limit. See the attached file (export to SVG and open in Inkscape, Firefox, LibreOffice or GIMP).

christoph_s

2014-01-31 06:40

administrator  

drop-shadow-test.sla.gz (3,674 bytes)

Issue History

Date Modified Username Field Change
2014-01-30 07:08 christoph_s New Issue
2014-01-30 07:08 christoph_s Status new => assigned
2014-01-30 07:08 christoph_s Assigned To => fschmid
2014-01-30 17:14 fschmid Note Added: 0031229
2014-01-30 17:14 fschmid File Added: DropShadow_in_SVG.png
2014-01-30 21:16 fschmid Note Added: 0031231
2014-01-30 21:16 fschmid Status assigned => resolved
2014-01-30 21:16 fschmid Fixed in Version => 1.5.0svn
2014-01-30 21:16 fschmid Resolution open => fixed
2014-01-31 06:39 christoph_s Note Added: 0031232
2014-01-31 06:40 christoph_s File Added: drop-shadow-test.sla.gz
2014-04-05 14:40 christoph_s Status resolved => assigned
2014-07-03 19:32 Kunda Target Version 1.5.0 => 1.5.1
2014-07-09 14:32 Kunda Relationship added related to 0012505
2014-07-09 14:32 Kunda Relationship replaced child of 0012505
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4